aboutsummaryrefslogtreecommitdiff
path: root/python/pypy3/pypy3.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'python/pypy3/pypy3.SlackBuild')
-rw-r--r--python/pypy3/pypy3.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/python/pypy3/pypy3.SlackBuild b/python/pypy3/pypy3.SlackBuild
index 327f6cc011..a190d091f7 100644
--- a/python/pypy3/pypy3.SlackBuild
+++ b/python/pypy3/pypy3.SlackBuild
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=pypy3
-VERSION=${VERSION:-7.3.12}
+VERSION=${VERSION:-7.3.13}
SRCNAM=pypy3.9
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -63,6 +63,9 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
PARCH="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -85,6 +88,10 @@ find -L . \
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
cp -a * $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/bin/*.debug
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Create symlinks to pypy3 executables.
mkdir -p $PKG/usr/bin